- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosss.cpp File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include <iostream>`
`#include "OSConfig.h"`
`#include "OSErrorClass.h"`
`#include <sstream>`
`#include "OSOptionsStruc.h"`
`#include <unistd.h>`

Include dependency graph for OSParseosss.cpp:

Go to the source code of this file.

## Classes
struct | yy_buffer_state
struct | yy_trans_info
struct | yyguts_t
## Defines
#define | YY_INT_ALIGNED short int
#define | FLEX_SCANNER
#define | YY_FLEX_MAJOR_VERSION 2
#define | YY_FLEX_MINOR_VERSION 5
#define | YY_FLEX_SUBMINOR_VERSION 35
#define | FLEX_BETA
#define | INT8_MIN (-128)
#define | INT16_MIN (-32767-1)
#define | INT32_MIN (-2147483647-1)
#define | INT8_MAX (127)
#define | INT16_MAX (32767)
#define | INT32_MAX (2147483647)
#define | UINT8_MAX (255U)
#define | UINT16_MAX (65535U)
#define | UINT32_MAX (4294967295U)
#define | yyconst
#define | YY_NULL 0
#define | YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)
#define | yyin yyg->yyin_r
#define | yyout yyg->yyout_r
#define | yyextra yyg->yyextra_r
#define | yyleng yyg->yyleng_r
#define | yytext yyg->yytext_r
#define | yylineno (YY_CURRENT_BUFFER_LVALUE->yy_bs_lineno)
#define | yycolumn (YY_CURRENT_BUFFER_LVALUE->yy_bs_column)
#define | yy_flex_debug yyg->yy_flex_debug_r
#define | BEGIN yyg->yy_start = 1 + 2 *
#define | YY_START ((yyg->yy_start - 1) / 2)
#define | YYSTATE YY_START
#define | YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)
#define | YY_NEW_FILE osssrestart(yyin ,yyscanner )
#define | YY_END_OF_BUFFER_CHAR 0
#define | YY_BUF_SIZE 16384
#define | YY_STATE_BUF_SIZE ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))
#define | EOB_ACT_CONTINUE_SCAN 0
#define | EOB_ACT_END_OF_FILE 1
#define | EOB_ACT_LAST_MATCH 2
#define | YY_LESS_LINENO(n)
#define | yyless(n)
#define | unput(c) yyunput( c, yyg->yytext_ptr , yyscanner )
#define | YY_BUFFER_NEW 0
#define | YY_BUFFER_NORMAL 1
#define | YY_BUFFER_EOF_PENDING 2
#define | YY_CURRENT_BUFFER
#define | YY_CURRENT_BUFFER_LVALUE yyg->yy_buffer_stack[yyg->yy_buffer_stack_top]
#define | YY_FLUSH_BUFFER osss_flush_buffer(YY_CURRENT_BUFFER ,yyscanner)
#define | yy_new_buffer osss_create_buffer
#define | yy_set_interactive(is_interactive)
#define | yy_set_bol(at_bol)
#define | YY_AT_BOL() (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)
#define | ossswrap(n) 1
#define | YY_SKIP_YYWRAP
#define | yytext_ptr yytext_r
#define | YY_DO_BEFORE_ACTION
#define | YY_NUM_RULES 47
#define | YY_END_OF_BUFFER 48
#define | REJECT reject_used_but_not_detected
#define | yymore() yymore_used_but_not_detected
#define | YY_MORE_ADJ 0
#define | YY_RESTORE_YY_MORE_OFFSET
#define | YY_PRINT ;
#define | YY_EXTRA_TYPE struct osOptionsStruc*
#define | INITIAL 0
#define | YY_READ_BUF_SIZE 8192
#define | ECHO do { if (fwrite( yytext, yyleng, 1, yyout )) {} } while (0)
#define | YY_INPUT(buf, result, max_size)
#define | yyterminate() return YY_NULL
#define | YY_START_STACK_INCR 25
#define | YY_FATAL_ERROR(msg) yy_fatal_error( msg , yyscanner)
#define | YY_DECL_IS_OURS 1
#define | YY_DECL int ossslex (yyscan_t yyscanner)
#define | YY_BREAK break;
#define | YY_RULE_SETUP YY_USER_ACTION
#define | YY_EXIT_FAILURE 2
#define | yyless(n)
#define | YYTABLES_NAME "yytables"
## Typedefs
typedef signed char | flex_int8_t
typedef short int | flex_int16_t
typedef int | flex_int32_t
typedef unsigned char | flex_uint8_t
typedef unsigned short int | flex_uint16_t
typedef unsigned int | flex_uint32_t
typedef void * | yyscan_t
typedef yy_buffer_state * | YY_BUFFER_STATE
typedef size_t | yy_size_t
typedef unsigned char | YY_CHAR
typedef int | yy_state_type
## Functions
void | osssrestart (FILE *input_file, yyscan_t yyscanner)
void | osss_switch_to_buffer (YY_BUFFER_STATE new_buffer, yyscan_t yyscanner)
YY_BUFFER_STATE | osss_create_buffer (FILE *file, int size, yyscan_t yyscanner)
void | osss_delete_buffer (YY_BUFFER_STATE b, yyscan_t yyscanner)
void | osss_flush_buffer (YY_BUFFER_STATE b, yyscan_t yyscanner)
| Discard all buffered characters.
void | ossspush_buffer_state (YY_BUFFER_STATE new_buffer, yyscan_t yyscanner)
| Pushes the new state onto the stack.
void | ossspop_buffer_state (yyscan_t yyscanner)
| Removes and deletes the top of the stack, if present.
static void | osssensure_buffer_stack (yyscan_t yyscanner)
static void | osss_load_buffer_state (yyscan_t yyscanner)
static void | osss_init_buffer (YY_BUFFER_STATE b, FILE *file, yyscan_t yyscanner)
| The main scanner function which does all the work.
YY_BUFFER_STATE | osss_scan_buffer (char *base, yy_size_t size, yyscan_t yyscanner)
| Setup the input buffer state to scan directly from a user-specified character buffer.
YY_BUFFER_STATE | osss_scan_string (yyconst char *yystr, yyscan_t yyscanner)
| Setup the input buffer state to scan a string.
YY_BUFFER_STATE | osss_scan_bytes (yyconst char *yybytes, int _yybytes_len, yyscan_t yyscanner)
| Setup the input buffer state to scan the given bytes.
void * | osssalloc (yy_size_t, yyscan_t yyscanner)
void * | osssrealloc (void *, yy_size_t, yyscan_t yyscanner)
void | osssfree (void *, yyscan_t yyscanner)
static yy_state_type | yy_get_previous_state (yyscan_t yyscanner)
static yy_state_type | yy_try_NUL_trans (yy_state_type current_state, yyscan_t yyscanner)
static int | yy_get_next_buffer (yyscan_t yyscanner)
static void | yy_fatal_error (yyconst char msg[], yyscan_t yyscanner)
void | setyyextra (osOptionsStruc *osoptions, void *scanner)
static int | yy_init_globals (yyscan_t yyscanner)
int | ossslex_init (yyscan_t *scanner)
int | ossslex_init_extra (YY_EXTRA_TYPE user_defined, yyscan_t *scanner)
int | ossslex_destroy (yyscan_t yyscanner)
int | osssget_debug (yyscan_t yyscanner)
void | osssset_debug (int debug_flag, yyscan_t yyscanner)
YY_EXTRA_TYPE | osssget_extra (yyscan_t yyscanner)
| Get the user-defined data for this scanner.
void | osssset_extra (YY_EXTRA_TYPE user_defined, yyscan_t yyscanner)
| Set the user-defined data.
FILE * | osssget_in (yyscan_t yyscanner)
| Get the input stream.
void | osssset_in (FILE *in_str, yyscan_t yyscanner)
| Set the input stream.
FILE * | osssget_out (yyscan_t yyscanner)
| Get the output stream.
void | osssset_out (FILE *out_str, yyscan_t yyscanner)
int | osssget_leng (yyscan_t yyscanner)
| Get the length of the current token.
char * | osssget_text (yyscan_t yyscanner)
| Get the current token.
int | osssget_lineno (yyscan_t yyscanner)
| Get the current line number.
void | osssset_lineno (int line_number, yyscan_t yyscanner)
| Set the current line number.
static int | input (yyscan_t yyscanner)
int | ossslex (yyscan_t yyscanner)
static void | yy_fatal_error (yyconst char *msg, yyscan_t yyscanner)
int | osssget_column (yyscan_t yyscanner)
| Get the current column number.
void | osssset_column (int column_no, yyscan_t yyscanner)
| Set the current column.
## Variables
static yyconst flex_int16_t | yy_accept [347]
static yyconst flex_int32_t | yy_ec [256]
static yyconst flex_int32_t | yy_meta [35]
static yyconst flex_int16_t | yy_base [396]
static yyconst flex_int16_t | yy_def [396]
static yyconst flex_int16_t | yy_nxt [634]
static yyconst flex_int16_t | yy_chk [634]
static yyconst flex_int32_t | yy_rule_can_match_eol [48]

## Define Documentation

#define YY_INT_ALIGNED short int

Definition at line 5 of file OSParseosss.cpp.

#define FLEX_SCANNER

Definition at line 9 of file OSParseosss.cpp.

#define YY_FLEX_MAJOR_VERSION 2

Definition at line 10 of file OSParseosss.cpp.

#define YY_FLEX_MINOR_VERSION 5

Definition at line 11 of file OSParseosss.cpp.

#define YY_FLEX_SUBMINOR_VERSION 35

Definition at line 12 of file OSParseosss.cpp.

#define FLEX_BETA

Definition at line 14 of file OSParseosss.cpp.

#define INT8_MIN (-128)

Definition at line 60 of file OSParseosss.cpp.

#define INT16_MIN (-32767-1)

Definition at line 63 of file OSParseosss.cpp.

#define INT32_MIN (-2147483647-1)

Definition at line 66 of file OSParseosss.cpp.

#define INT8_MAX (127)

Definition at line 69 of file OSParseosss.cpp.

#define INT16_MAX (32767)

Definition at line 72 of file OSParseosss.cpp.

#define INT32_MAX (2147483647)

Definition at line 75 of file OSParseosss.cpp.

#define UINT8_MAX (255U)

Definition at line 78 of file OSParseosss.cpp.

#define UINT16_MAX (65535U)

Definition at line 81 of file OSParseosss.cpp.

#define UINT32_MAX (4294967295U)

Definition at line 84 of file OSParseosss.cpp.

#define yyconst

Definition at line 109 of file OSParseosss.cpp.

#define YY_NULL 0

Definition at line 113 of file OSParseosss.cpp.

#define YY_SC_TO_UI | ( | c |  | ) | ((unsigned int) (unsigned char) c)

Definition at line 120 of file OSParseosss.cpp.

#define yyin yyg->yyin_r

Definition at line 130 of file OSParseosss.cpp.

#define yyout yyg->yyout_r

Definition at line 131 of file OSParseosss.cpp.

#define yyextra yyg->yyextra_r

Definition at line 132 of file OSParseosss.cpp.

#define yyleng yyg->yyleng_r

Definition at line 133 of file OSParseosss.cpp.

#define yytext yyg->yytext_r

Definition at line 134 of file OSParseosss.cpp.

#define yylineno (YY_CURRENT_BUFFER_LVALUE->yy_bs_lineno)

Definition at line 135 of file OSParseosss.cpp.

#define yycolumn (YY_CURRENT_BUFFER_LVALUE->yy_bs_column)

Definition at line 136 of file OSParseosss.cpp.

#define yy_flex_debug yyg->yy_flex_debug_r

Definition at line 137 of file OSParseosss.cpp.

#define BEGIN yyg->yy_start = 1 + 2 *

Definition at line 143 of file OSParseosss.cpp.

#define YY_START ((yyg->yy_start - 1) / 2)

Definition at line 149 of file OSParseosss.cpp.

#define YYSTATE YY_START

Definition at line 150 of file OSParseosss.cpp.

#define YY_STATE_EOF | ( | state |  | ) | (YY_END_OF_BUFFER + state + 1)

Definition at line 153 of file OSParseosss.cpp.

#define YY_NEW_FILE osssrestart(yyin ,yyscanner )

Definition at line 156 of file OSParseosss.cpp.

#define YY_END_OF_BUFFER_CHAR 0

Definition at line 158 of file OSParseosss.cpp.

#define YY_BUF_SIZE 16384

Definition at line 169 of file OSParseosss.cpp.

#define YY_STATE_BUF_SIZE ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

Definition at line 175 of file OSParseosss.cpp.

#define EOB_ACT_CONTINUE_SCAN 0

Definition at line 182 of file OSParseosss.cpp.

#define EOB_ACT_END_OF_FILE 1

Definition at line 183 of file OSParseosss.cpp.

#define EOB_ACT_LAST_MATCH 2

Definition at line 184 of file OSParseosss.cpp.

#define YY_LESS_LINENO | ( | n |  | ) |

Value:

    do { \
                    int yyl;\
                    for ( yyl = n; yyl < yyleng; ++yyl )\
                        if ( yytext[yyl] == '\n' )\
                            --yylineno;\
                }while(0)

Definition at line 193 of file OSParseosss.cpp.

#define yyless | ( | n |  | ) |

Value:

    do \
                    { \
                    /* Undo effects of setting up yytext. */ \
            int yyless_macro_arg = (n); \
            YY_LESS_LINENO(yyless_macro_arg);\
                    *yy_cp = yyg->yy_hold_char; \
                    YY_RESTORE_YY_MORE_OFFSET \
                    yyg->yy_c_buf_p = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
                    YY_DO_BEFORE_ACTION; /* set up yytext again */ \
                    } \
            while ( 0 )

Definition at line 2667 of file OSParseosss.cpp.

#define unput | ( | c |  | ) | yyunput( c, yyg->yytext_ptr , yyscanner )

Definition at line 215 of file OSParseosss.cpp.

#define YY_BUFFER_NEW 0

Definition at line 270 of file OSParseosss.cpp.

#define YY_BUFFER_NORMAL 1

Definition at line 271 of file OSParseosss.cpp.

#define YY_BUFFER_EOF_PENDING 2

Definition at line 282 of file OSParseosss.cpp.

#define YY_CURRENT_BUFFER

Value:

    ( yyg->yy_buffer_stack \
                              ? yyg->yy_buffer_stack[yyg->yy_buffer_stack_top] \
                              : NULL)

Definition at line 293 of file OSParseosss.cpp.

#define YY_CURRENT_BUFFER_LVALUE yyg->yy_buffer_stack[yyg->yy_buffer_stack_top]

Definition at line 300 of file OSParseosss.cpp.

#define YY_FLUSH_BUFFER osss_flush_buffer(YY_CURRENT_BUFFER ,yyscanner)

Definition at line 314 of file OSParseosss.cpp.

#define yy_new_buffer osss_create_buffer

Definition at line 324 of file OSParseosss.cpp.

#define yy_set_interactive | ( | is_interactive |  | ) |

Value:

    { \
            if ( ! YY_CURRENT_BUFFER ){ \
            osssensure_buffer_stack (yyscanner); \
                    YY_CURRENT_BUFFER_LVALUE =    \
                osss_create_buffer(yyin,YY_BUF_SIZE ,yyscanner); \
            } \
            YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
            }

Definition at line 326 of file OSParseosss.cpp.

#define yy_set_bol | ( | at_bol |  | ) |

Value:

    { \
            if ( ! YY_CURRENT_BUFFER ){\
            osssensure_buffer_stack (yyscanner); \
                    YY_CURRENT_BUFFER_LVALUE =    \
                osss_create_buffer(yyin,YY_BUF_SIZE ,yyscanner); \
            } \
            YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
            }

Definition at line 336 of file OSParseosss.cpp.

#define YY_AT_BOL | ( |  | ) | (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)

Definition at line 346 of file OSParseosss.cpp.

#define ossswrap | ( | n |  | ) | 1

Definition at line 350 of file OSParseosss.cpp.

#define YY_SKIP_YYWRAP

Definition at line 351 of file OSParseosss.cpp.

#define yytext_ptr yytext_r

Definition at line 357 of file OSParseosss.cpp.

#define YY_DO_BEFORE_ACTION

Value:

    yyg->yytext_ptr = yy_bp; \
            yyleng = (size_t) (yy_cp - yy_bp); \
            yyg->yy_hold_char = *yy_cp; \
            *yy_cp = '\0'; \
            yyg->yy_c_buf_p = yy_cp;

Definition at line 367 of file OSParseosss.cpp.

#define YY_NUM_RULES 47

Definition at line 374 of file OSParseosss.cpp.

#define YY_END_OF_BUFFER 48

Definition at line 375 of file OSParseosss.cpp.

#define REJECT reject_used_but_not_detected

Definition at line 719 of file OSParseosss.cpp.

#define yymore | ( |  | ) | yymore_used_but_not_detected

Definition at line 720 of file OSParseosss.cpp.

#define YY_MORE_ADJ 0

Definition at line 721 of file OSParseosss.cpp.

#define YY_RESTORE_YY_MORE_OFFSET

Definition at line 722 of file OSParseosss.cpp.

#define YY_PRINT ;

Definition at line 778 of file OSParseosss.cpp.

#define YY_EXTRA_TYPE struct osOptionsStruc*

Definition at line 792 of file OSParseosss.cpp.

#define INITIAL 0

Definition at line 825 of file OSParseosss.cpp.

#define YY_READ_BUF_SIZE 8192

Definition at line 944 of file OSParseosss.cpp.

#define ECHO do { if (fwrite( yytext, yyleng, 1, yyout )) {} } while (0)

Definition at line 953 of file OSParseosss.cpp.

#define YY_INPUT | ( | buf,
|  | result,
|  | max_size |  | ) |

Value:

    if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
                    { \
                    int c = '*'; \
                    size_t n; \
                    for ( n = 0; n < max_size && \
                                 (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
                            buf[n] = (char) c; \
                    if ( c == '\n' ) \
                            buf[n++] = (char) c; \
                    if ( c == EOF && ferror( yyin ) ) \
                            YY_FATAL_ERROR( "input in flex scanner failed" ); \
                    result = n; \
                    } \
            else \
                    { \
                    errno=0; \
                    while ( (result = fread(buf, 1, max_size, yyin))==0 && ferror(yyin)) \
                            { \
                            if( errno != EINTR) \
                                    { \
                                    YY_FATAL_ERROR( "input in flex scanner failed" ); \
                                    break; \
                                    } \
                            errno=0; \
                            clearerr(yyin); \
                            } \
                    }\
    \

Definition at line 960 of file OSParseosss.cpp.

#define yyterminate | ( |  | ) | return YY_NULL

Definition at line 997 of file OSParseosss.cpp.

#define YY_START_STACK_INCR 25

Definition at line 1002 of file OSParseosss.cpp.

#define YY_FATAL_ERROR | ( | msg |  | ) | yy_fatal_error( msg , yyscanner)

Definition at line 1007 of file OSParseosss.cpp.

#define YY_DECL_IS_OURS 1

Definition at line 1016 of file OSParseosss.cpp.

#define YY_DECL int ossslex (yyscan_t yyscanner)

Definition at line 1020 of file OSParseosss.cpp.

#define YY_BREAK break;

Definition at line 1032 of file OSParseosss.cpp.

#define YY_RULE_SETUP YY_USER_ACTION

Definition at line 1035 of file OSParseosss.cpp.

#define YY_EXIT_FAILURE 2

Definition at line 2655 of file OSParseosss.cpp.

#define yyless | ( | n |  | ) |

Value:

    do \
                    { \
                    /* Undo effects of setting up yytext. */ \
            int yyless_macro_arg = (n); \
            YY_LESS_LINENO(yyless_macro_arg);\
                    yytext[yyleng] = yyg->yy_hold_char; \
                    yyg->yy_c_buf_p = yytext + yyless_macro_arg; \
                    yyg->yy_hold_char = *yyg->yy_c_buf_p; \
                    *yyg->yy_c_buf_p = '\0'; \
                    yyleng = yyless_macro_arg; \
                    } \
            while ( 0 )

Definition at line 2667 of file OSParseosss.cpp.

#define YYTABLES_NAME "yytables"

Definition at line 3000 of file OSParseosss.cpp.

## Typedef Documentation

typedef signed char flex_int8_t

Definition at line 51 of file OSParseosss.cpp.

typedef short int flex_int16_t

Definition at line 52 of file OSParseosss.cpp.

typedef int flex_int32_t

Definition at line 53 of file OSParseosss.cpp.

typedef unsigned char flex_uint8_t

Definition at line 54 of file OSParseosss.cpp.

typedef unsigned short int flex_uint16_t

Definition at line 55 of file OSParseosss.cpp.

typedef unsigned int flex_uint32_t

Definition at line 56 of file OSParseosss.cpp.

typedef void* yyscan_t

Definition at line 125 of file OSParseosss.cpp.

typedef struct yy_buffer_state* YY_BUFFER_STATE

Definition at line 179 of file OSParseosss.cpp.

typedef size_t yy_size_t

Definition at line 219 of file OSParseosss.cpp.

typedef unsigned char YY_CHAR

Definition at line 353 of file OSParseosss.cpp.

typedef int yy_state_type

Definition at line 355 of file OSParseosss.cpp.

## Function Documentation

void osssrestart | ( | FILE * | input_file,
|  | yyscan_t | yyscanner |
| ) |  |  |

void osss_switch_to_buffer | ( | YY_BUFFER_STATE | new_buffer,
|  | yyscan_t | yyscanner |
| ) |  |  |

Referenced by osss_scan_buffer().

YY_BUFFER_STATE osss_create_buffer | ( | FILE * | file,
|  | int | size,
|  | yyscan_t | yyscanner |
| ) |  |  |

void osss_delete_buffer | ( | YY_BUFFER_STATE | b,
|  | yyscan_t | yyscanner |
| ) |  |  |

Referenced by ossslex_destroy(), and ossspop_buffer_state().

void osss_flush_buffer | ( | YY_BUFFER_STATE | b,
|  | yyscan_t | yyscanner |
| ) |  |  |

Discard all buffered characters.

On the next scan, YY_INPUT will be called.

Parameters:

  | b | the buffer state to be flushed, usually `YY_CURRENT_BUFFER`.
  | yyscanner | The scanner object.

Definition at line 2443 of file OSParseosss.cpp.

References osss_load_buffer_state(), yy_buffer_state::yy_at_bol, yy_buffer_state::yy_buf_pos, YY_BUFFER_NEW, yy_buffer_state::yy_buffer_status, yy_buffer_state::yy_ch_buf, YY_CURRENT_BUFFER, YY_END_OF_BUFFER_CHAR, and yy_buffer_state::yy_n_chars.

Referenced by osss_init_buffer().

void ossspush_buffer_state | ( | YY_BUFFER_STATE | new_buffer,
|  | yyscan_t | yyscanner |
| ) |  |  |

Pushes the new state onto the stack.

The new state becomes the current state. This function will allocate the stack if necessary.

Parameters:

  | new_buffer | The new state.
  | yyscanner | The scanner object.

Definition at line 2473 of file OSParseosss.cpp.

References osss_load_buffer_state(), osssensure_buffer_stack(), yyguts_t::yy_buffer_stack_top, yyguts_t::yy_c_buf_p, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yyguts_t::yy_did_buffer_switch_on_eof, yyguts_t::yy_hold_char, and yyguts_t::yy_n_chars.

void ossspop_buffer_state | ( | yyscan_t | yyscanner | ) |

Removes and deletes the top of the stack, if present.

The next element becomes the new top.

Parameters:

  | yyscanner | The scanner object.

Definition at line 2504 of file OSParseosss.cpp.

References osss_delete_buffer(), osss_load_buffer_state(), yyguts_t::yy_buffer_stack_top, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, and yyguts_t::yy_did_buffer_switch_on_eof.

Referenced by ossslex_destroy().

static void osssensure_buffer_stack | ( | yyscan_t | yyscanner | ) | `[static]`

Definition at line 2524 of file OSParseosss.cpp.

References osssalloc(), osssrealloc(), yyguts_t::yy_buffer_stack, yyguts_t::yy_buffer_stack_max, yyguts_t::yy_buffer_stack_top, and YY_FATAL_ERROR.

Referenced by ossspush_buffer_state().

static void osss_load_buffer_state | ( | yyscan_t | yyscanner | ) | `[static]`

Referenced by osss_flush_buffer(), ossspop_buffer_state(), and ossspush_buffer_state().

static void osss_init_buffer | ( | YY_BUFFER_STATE | b,
|  | FILE * | file,
|  | yyscan_t | yyscanner |
| ) |  |  | `[static]`

The main scanner function which does all the work.

Definition at line 2414 of file OSParseosss.cpp.

References osss_flush_buffer(), and YY_CURRENT_BUFFER.

YY_BUFFER_STATE osss_scan_buffer | ( | char * | base,
|  | yy_size_t | size,
|  | yyscan_t | yyscanner |
| ) |  |  |

Setup the input buffer state to scan directly from a user-specified character buffer.

Parameters:

  | base | the character buffer
  | size | the size in bytes of the character buffer
  | yyscanner | The scanner object.

Returns:
  the newly allocated buffer state object.

Definition at line 2574 of file OSParseosss.cpp.

References osss_switch_to_buffer(), osssalloc(), yy_buffer_state::yy_at_bol, yy_buffer_state::yy_buf_pos, yy_buffer_state::yy_buf_size, YY_BUFFER_NEW, yy_buffer_state::yy_buffer_status, yy_buffer_state::yy_ch_buf, YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, yy_buffer_state::yy_fill_buffer, yy_buffer_state::yy_input_file, yy_buffer_state::yy_is_interactive, yy_buffer_state::yy_is_our_buffer, and yy_buffer_state::yy_n_chars.

Referenced by osss_scan_bytes().

YY_BUFFER_STATE osss_scan_string | ( | yyconst char * | yystr,
|  | yyscan_t | yyscanner |
| ) |  |  |

Setup the input buffer state to scan a string.

The next call to ossslex() will scan from a copy of str.

Parameters:

  | yystr | a NUL-terminated string to scan
  | yyscanner | The scanner object.

Returns:
  the newly allocated buffer state object.

Note:
  If you want to scan bytes that may contain NUL values, then use osss_scan_bytes() instead.

Definition at line 2611 of file OSParseosss.cpp.

References osss_scan_bytes().

YY_BUFFER_STATE osss_scan_bytes | ( | yyconst char * | yybytes,
|  | int | _yybytes_len,
|  | yyscan_t | yyscanner |
| ) |  |  |

Setup the input buffer state to scan the given bytes.

The next call to ossslex() will scan from a copy of bytes.

Parameters:

  | yybytes | the byte buffer to scan
  | _yybytes_len | the number of bytes in the buffer pointed to by bytes.
  | yyscanner | The scanner object.

Returns:
  the newly allocated buffer state object.

Definition at line 2624 of file OSParseosss.cpp.

References osss_scan_buffer(), osssalloc(), YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, and yy_buffer_state::yy_is_our_buffer.

Referenced by osss_scan_string().

void * osssalloc | ( | yy_size_t | ,
|  | yyscan_t | yyscanner |
| ) |  |  |

Definition at line 2978 of file OSParseosss.cpp.

Referenced by osss_scan_buffer(), osss_scan_bytes(), osssensure_buffer_stack(), ossslex_init(), and ossslex_init_extra().

void * osssrealloc | ( | void * | ,
|  | yy_size_t | ,
|  | yyscan_t | yyscanner |
| ) |  |  |

Definition at line 2983 of file OSParseosss.cpp.

Referenced by osssensure_buffer_stack().

void osssfree | ( | void * | ,
|  | yyscan_t | yyscanner |
| ) |  |  |

Definition at line 2995 of file OSParseosss.cpp.

Referenced by ossslex_destroy().

static yy_state_type yy_get_previous_state | ( | yyscan_t | yyscanner | ) | `[static]`

static yy_state_type yy_try_NUL_trans | ( | yy_state_type | current_state,
|  | yyscan_t | yyscanner |
| ) |  |  | `[static]`

static int yy_get_next_buffer | ( | yyscan_t | yyscanner | ) | `[static]`

static void yy_fatal_error | ( | yyconst char | msg[],
|  | yyscan_t | yyscanner |
| ) |  |  | `[static]`

void setyyextra | ( | osOptionsStruc * | osoptions,
|  | void * | scanner |
| ) |  |  |

static int yy_init_globals | ( | yyscan_t | yyscanner | ) | `[static]`

Definition at line 2891 of file OSParseosss.cpp.

References yyguts_t::yy_buffer_stack, yyguts_t::yy_buffer_stack_max, yyguts_t::yy_buffer_stack_top, yyguts_t::yy_c_buf_p, yyguts_t::yy_init, yyguts_t::yy_start, yyguts_t::yy_start_stack, yyguts_t::yy_start_stack_depth, yyguts_t::yy_start_stack_ptr, yyin, and yyout.

int ossslex_init | ( | yyscan_t * | scanner | ) |

int ossslex_init_extra | ( | YY_EXTRA_TYPE | user_defined,
|  | yyscan_t * | scanner |
| ) |  |  |

Definition at line 2863 of file OSParseosss.cpp.

References osssalloc(), osssset_extra(), and yy_init_globals().

int ossslex_destroy | ( | yyscan_t | yyscanner | ) |

int osssget_debug | ( | yyscan_t | yyscanner | ) |

Definition at line 2813 of file OSParseosss.cpp.

References yy_flex_debug.

void osssset_debug | ( | int | debug_flag,
|  | yyscan_t | yyscanner |
| ) |  |  |

Definition at line 2819 of file OSParseosss.cpp.

References yy_flex_debug.

YY_EXTRA_TYPE osssget_extra | ( | yyscan_t | yyscanner | ) |

Get the user-defined data for this scanner.

Parameters:

  | yyscanner | The scanner object.

Definition at line 2686 of file OSParseosss.cpp.

References yyextra.

void osssset_extra | ( | YY_EXTRA_TYPE | user_defined,
|  | yyscan_t | yyscanner |
| ) |  |  |

Set the user-defined data.

This data is never touched by the scanner.

Parameters:

  | user_defined | The data to be associated with this scanner.
  | yyscanner | The scanner object.

Definition at line 2759 of file OSParseosss.cpp.

References yyextra.

Referenced by ossslex_init_extra(), and setyyextra().

FILE * osssget_in | ( | yyscan_t | yyscanner | ) |

Get the input stream.

Parameters:

  | yyscanner | The scanner object.

Definition at line 2721 of file OSParseosss.cpp.

References yyin.

void osssset_in | ( | FILE * | in_str,
|  | yyscan_t | yyscanner |
| ) |  |  |

Set the input stream.

This does not discard the current input buffer.

Parameters:

  | in_str | A readable stream.
  | yyscanner | The scanner object.

See also:
  osss_switch_to_buffer

Definition at line 2801 of file OSParseosss.cpp.

References yyin.

FILE * osssget_out | ( | yyscan_t | yyscanner | ) |

Get the output stream.

Parameters:

  | yyscanner | The scanner object.

Definition at line 2730 of file OSParseosss.cpp.

References yyout.

void osssset_out | ( | FILE * | out_str,
|  | yyscan_t | yyscanner |
| ) |  |  |

Definition at line 2807 of file OSParseosss.cpp.

References yyout.

int osssget_leng | ( | yyscan_t | yyscanner | ) |

Get the length of the current token.

Parameters:

  | yyscanner | The scanner object.

Definition at line 2739 of file OSParseosss.cpp.

References yyleng.

char * osssget_text | ( | yyscan_t | yyscanner | ) |

Get the current token.

Parameters:

  | yyscanner | The scanner object.

Definition at line 2749 of file OSParseosss.cpp.

References yytext.

int osssget_lineno | ( | yyscan_t | yyscanner | ) |

Get the current line number.

Parameters:

  | yyscanner | The scanner object.

Definition at line 2695 of file OSParseosss.cpp.

References YY_CURRENT_BUFFER, and yylineno.

void osssset_lineno | ( | int | line_number,
|  | yyscan_t | yyscanner |
| ) |  |  |

Set the current line number.

Parameters:

  | line_number |
  | yyscanner | The scanner object.

Definition at line 2769 of file OSParseosss.cpp.

References YY_CURRENT_BUFFER, yy_fatal_error(), and yylineno.

static int input | ( | yyscan_t | yyscanner | ) | `[static]`

int ossslex | ( | yyscan_t | yyscanner | ) |

static void yy_fatal_error | ( | yyconst char * | msg,
|  | yyscan_t | yyscanner |
| ) |  |  | `[static]`

Definition at line 2658 of file OSParseosss.cpp.

References YY_EXIT_FAILURE.

int osssget_column | ( | yyscan_t | yyscanner | ) |

Get the current column number.

Parameters:

  | yyscanner | The scanner object.

Definition at line 2708 of file OSParseosss.cpp.

References YY_CURRENT_BUFFER, and yycolumn.

void osssset_column | ( | int | column_no,
|  | yyscan_t | yyscanner |
| ) |  |  |

Set the current column.

Parameters:

  | line_number |
  | yyscanner | The scanner object.

Definition at line 2784 of file OSParseosss.cpp.

References YY_CURRENT_BUFFER, yy_fatal_error(), and yycolumn.

## Variable Documentation

yyconst flex_int16_t yy_accept[347]`[static]`

Definition at line 383 of file OSParseosss.cpp.

yyconst flex_int32_t yy_ec[256]`[static]`

Definition at line 425 of file OSParseosss.cpp.

yyconst flex_int32_t yy_meta[35]`[static]`

Initial value:

        {   0,
            1,    2,    3,    2,    2,    2,    2,    2,    2,    2,
            2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
            2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
            2,    2,    2,    2
        }

Definition at line 457 of file OSParseosss.cpp.

yyconst flex_int16_t yy_base[396]`[static]`

Definition at line 465 of file OSParseosss.cpp.

yyconst flex_int16_t yy_def[396]`[static]`

Definition at line 513 of file OSParseosss.cpp.

yyconst flex_int16_t yy_nxt[634]`[static]`

Definition at line 561 of file OSParseosss.cpp.

yyconst flex_int16_t yy_chk[634]`[static]`

Definition at line 635 of file OSParseosss.cpp.

yyconst flex_int32_t yy_rule_can_match_eol[48]`[static]`

Initial value:

        {   0,
    1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
        1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
        1, 1, 1, 1, 1, 1, 0, 0,     }

Definition at line 710 of file OSParseosss.cpp.